[Samsung XE700T1C-A01FR] Smartpad not properly recognised

Bug #1332824 reported by V. Beau on 2014-06-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Expecting at least the smartpad to be properly recognised with the bare minimum multi-touch gesture: two-fingers right click, side scrolling, two-fingers scrolling, mouse speed.

xinput -list gives:
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Wacom ISDv4 EC Pen stylus id=9 [slave pointer (2)]
⎜ ↳ Atmel Atmel maXTouch Digitizer id=10 [slave pointer (2)]
⎜ ↳ USB Keyboard+SmartPad id=13 [slave pointer (2)]
⎜ ↳ Wacom ISDv4 EC Pen eraser id=16 [slave pointer (2)]
⎜ ↳ Asus gaming Mouse (G112) id=19 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ WebCam SC-50AFL11C54N id=11 [slave keyboard (3)]
    ↳ USB Keyboard+SmartPad id=12 [slave keyboard (3)]
    ↳ WebCam SC-20HDM12347N id=14 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=15 [slave keyboard (3)]
    ↳ Chicony USB Keyboard id=17 [slave keyboard (3)]
    ↳ Chicony USB Keyboard id=18 [slave keyboard (3)]
    ↳ Acer Crystal Eye Webcam id=20 [slave keyboard (3)]

Note that "USB Keyboard+SmartPad" is present twice (id 12 and 13)

Also note that running
 xinput test 13
doesn't detect any multitouch on the smartpad.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8
ProcVersionSignature: Ubuntu 3.13.0-29.53-generic 3.13.11.2
Uname: Linux 3.13.0-29-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Sat Jun 21 15:52:14 2014
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd Device [144d:c0e1]
InstallationDate: Installed on 2014-06-18 (2 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 700T1C
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-29-generic.efi.signed root=UUID=1fdb1c66-705c-4c1a-8d6c-d363ad0e53b9 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/15/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P10AAT.050.140215.dg
dmi.board.asset.tag: No Asset Tag
dmi.board.name: XE700T1C-A01FR
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: SEC_SW_REVISION_1234567890ABCD
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 8
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP10AAT.050.140215.dg:bd02/15/2014:svnSAMSUNGELECTRONICSCO.,LTD.:pn700T1C:pvrP10AAT:rvnSAMSUNGELECTRONICSCO.,LTD.:rnXE700T1C-A01FR:rvrSEC_SW_REVISION_1234567890ABCD:cvnSAMSUNGELECTRONICSCO.,LTD.:ct8:cvrN/A:
dmi.product.name: 700T1C
dmi.product.version: P10AAT
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.11+14.04.20140423-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.1
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Sat Jun 21 15:48:56 2014
xserver.configfile: default
xserver.errors:
 Wacom ISDv4 EC Pen stylus: Invalid type 'cursor' for this device.
 Wacom ISDv4 EC Pen stylus: Invalid type 'touch' for this device.
 Wacom ISDv4 EC Pen stylus: Invalid type 'pad' for this device.
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 116
 vendor ACR
xserver.version: 2:1.15.1-0ubuntu2
---
.tmp.unity.support.test.0:

ApportVersion: 2.16.1-0ubuntu2
Architecture: amd64
CasperVersion: 1.351
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
DistUpgraded: Fresh install
DistroCodename: vivid
DistroRelease: Ubuntu 15.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd Device [144d:c0e1]
LiveMediaBuild: Ubuntu 15.04 "Vivid Vervet" - Alpha amd64 (20150224)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 700T1C
Package: xorg 1:7.7+7ubuntu2
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/casper/vmlinuz.efi file=/cdrom/preseed/username.seed boot=casper quiet splash --
ProcVersionSignature: Ubuntu 3.18.0-13.14-generic 3.18.5
Tags: vivid ubuntu reproducible compiz-0.9
Uname: Linux 3.18.0-13-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 02/15/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P10AAT.050.140215.dg
dmi.board.asset.tag: No Asset Tag
dmi.board.name: XE700T1C-A01FR
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: SEC_SW_REVISION_1234567890ABCD
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 8
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP10AAT.050.140215.dg:bd02/15/2014:svnSAMSUNGELECTRONICSCO.,LTD.:pn700T1C:pvrP10AAT:rvnSAMSUNGELECTRONICSCO.,LTD.:rnXE700T1C-A01FR:rvrSEC_SW_REVISION_1234567890ABCD:cvnSAMSUNGELECTRONICSCO.,LTD.:ct8:cvrN/A:
dmi.product.name: 700T1C
dmi.product.version: P10AAT
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.12.1+15.04.20150213-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.58-2
version.libgl1-mesa-dri: libgl1-mesa-dri 10.5.0~rc1-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.5.0~rc1-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.16.2.901-1ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.4.0-2ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2
xserver.bootTime: Tue Feb 24 20:25:35 2015
xserver.configfile: default
xserver.errors:
 Wacom ISDv4 EC Pen stylus: Invalid type 'cursor' for this device.
 Wacom ISDv4 EC Pen stylus: Invalid type 'touch' for this device.
 Wacom ISDv4 EC Pen stylus: Invalid type 'pad' for this device.
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 12637
 vendor AUO
xserver.version: 2:1.16.2.901-1ubuntu4

V. Beau (vincent-beau) wrote :

This bug was reported as early as the end of 2012, It appears that nobody had ever working on it.

V. Beau, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg 1332824

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

As well, given the information from the prior release is already available, testing a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

no longer affects: xorg (Ubuntu)
affects: fedora → xorg (Ubuntu)
Changed in xorg (Ubuntu):
status: New → Incomplete
importance: Undecided → Low

apport information

tags: added: apport-collected reproducible vivid
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

As you may already have guessed, this is still an issue.

For the recordm the situation remains the same: Mouse & Touchpad is reporting a single button mouse.

description: updated
summary: - Samsung XE700T1C Keyboard and touchpad not properly recognised
+ Samsung XE700T1C touchpad not properly recognised
summary: - Samsung XE700T1C touchpad not properly recognised
+ [Samsung XE700T1C-A01FR] Smartpad not properly recognised
Changed in xorg (Ubuntu):
importance: Low → Medium
status: Incomplete → Triaged
Timo Aaltonen (tjaalton) wrote :

kernel problem if it's not reported as a touchpad

having the same device under core pointer and keyboard is normal, since it has both devices

affects: xorg (Ubuntu) → linux (Ubuntu)

V. Beau, could you please test the latest upstream kernel available from the very top line at the top of the page (the release names are irrelevant for testing, and please do not test the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.

If the test did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-3.XY-rcZ

Where XY and Z are numbers corresponding to the kernel version.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-3.XY-rcZ

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
V. Beau (vincent-beau) wrote :

Hi, me again, this bug is still valid for Ubuntu 15.10

Using the following kernel:
4.2.0-34-generic #39-Ubuntu SMP Thu Mar 10 22:13:01 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

tags: added: wily
Ahmed (aitalaat) wrote :

Bug still exists for ubuntu 18.10

Changed in linux (Ubuntu):
status: Expired → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :

Please attach dmesg.

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers